## ros-jazzy-rclpy 7.1.1

=== debian/changelog ===
ros-jazzy-rclpy (7.1.1-3bookworm) bookworm; urgency=high

  * Clock.py types. (#1244 <https://github.com/ros2/rclpy/issues/1244>)
    * Start typing time.py
    * Testing out Enum wrapper for ClockType
    * convert to rcl_clock_type_t
    * Update create_time_point
    * add types to logging_service
    * Add types to duration.py
    * Add newlines for class definintions
    * update type alias name
    * Update to use Protocols
    * Add types to time.py
    * Add types
    * Fix import order
    * Started typing clock.py
    * Move typealias import
  * pybind11 definition doc typo fixes. (#1270 <https://github.com/ros2/rclpy/issues/1270>)
  * Fix small flake8 error in rclpy. (#1267 <https://github.com/ros2/rclpy/issues/1267>)
    Newer versions of flake8 complain that using 'str' as a
    variable shadows a builtin.  Just make it 's'.
  * Contributors: Chris Lalancette, Michael Carlstrom, Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rclpy (7.1.0-3bookworm) bookworm; urgency=high

  * Allow specifying qos (#1225 <https://github.com/ros2/rclpy/issues/1225>)
  * update RCL_RET_TIMEOUT error handling with action service response. (#1258 <https://github.com/ros2/rclpy/issues/1258>)
  * Add types to time_source.py (#1259 <https://github.com/ros2/rclpy/issues/1259>)
  * Small fixes for modern flake8. (#1264 <https://github.com/ros2/rclpy/issues/1264>)
  * Add types to qos_overriding_options.py (#1248 <https://github.com/ros2/rclpy/issues/1248>)
  * Add types to context.py (#1240 <https://github.com/ros2/rclpy/issues/1240>)
  * Add back Type hash __slots__ and add test cases. (#1245 <https://github.com/ros2/rclpy/issues/1245>)
  * Revert "Add types to TypeHash and moved away from __slots__ usage (#1232 <https://github.com/ros2/rclpy/issues/1232>)" (#1243 <https://github.com/ros2/rclpy/issues/1243>)
  * Time.py Types (#1237 <https://github.com/ros2/rclpy/issues/1237>)
  * Add types to TypeHash and moved away from __slots__ usage (#1232 <https://github.com/ros2/rclpy/issues/1232>)
  * Add Static Typing to Validate files (#1230 <https://github.com/ros2/rclpy/issues/1230>)
  * Add types to duration.py (#1233 <https://github.com/ros2/rclpy/issues/1233>)
  * added python3-yaml (#1242 <https://github.com/ros2/rclpy/issues/1242>)
  * Add types to exceptions.py (#1241 <https://github.com/ros2/rclpy/issues/1241>)
  * Add types (#1231 <https://github.com/ros2/rclpy/issues/1231>)
  * Creates Enum wrapper for ClockType and ClockChange (#1235 <https://github.com/ros2/rclpy/issues/1235>)
  * Add types to expand_topic_name (#1238 <https://github.com/ros2/rclpy/issues/1238>)
  * Add types to logging_service.py (#1227 <https://github.com/ros2/rclpy/issues/1227>)
  * Add types to logging.py (#1226 <https://github.com/ros2/rclpy/issues/1226>)
  * forbid parameter to be declared statically without initialization. (#1216 <https://github.com/ros2/rclpy/issues/1216>)
  * Contributors: Chris Lalancette, Michael Carlstrom, SnIcK, Tim Clephas, Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-rclpy (7.0.1-3bookworm) bookworm; urgency=high

  * Remove parentheses from assert statements. (#1213 <https://github.com/ros2/rclpy/issues/1213>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-rclpy (7.0.0-3bookworm) bookworm; urgency=high

  * Add doc-string warnings for destroy methods for services. (#1205 <https://github.com/ros2/rclpy/issues/1205>)
  * Add doc-string warnings for destroy() methods (#1204 <https://github.com/ros2/rclpy/issues/1204>)
  * Add an optional timeout_sec input to Client.call() to fix issue https://github.com/ros2/rclpy/issues/1181 (#1188 <https://github.com/ros2/rclpy/issues/1188>)
  * aligh with rcl that a rosout publisher of a node might not exist (#1196 <https://github.com/ros2/rclpy/issues/1196>)
  * call ok() to see if rclpy and context is initialized. (#1198 <https://github.com/ros2/rclpy/issues/1198>)
  * Contributors: Chen Lihui, KKSTB, Steve Peters, Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-rclpy (6.0.0-3bookworm) bookworm; urgency=high

  * Adjust python usage of the type_description service API (#1192 <https://github.com/ros2/rclpy/issues/1192>)
  * Document that spin_once() should not be called from multiple threads (#1079 <https://github.com/ros2/rclpy/issues/1079>)
  * making optional things Optional (#1182 <https://github.com/ros2/rclpy/issues/1182>)
  * Use timeout object to avoid callback losing in wait_for_ready_callbacks (#1165 <https://github.com/ros2/rclpy/issues/1165>)
  * Contributors: AndyZe, Anton Kesy, Barry Xu, Michael Carroll

 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-rclpy (5.4.0-3bookworm) bookworm; urgency=high

  * Fix to issue https://github.com/ros2/rclpy/issues/1179 (#1180 <https://github.com/ros2/rclpy/issues/1180>)
  * Add count services, clients & test (#1024 <https://github.com/ros2/rclpy/issues/1024>)
  * Contributors: KKSTB, Minju, Lee

 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 08 Oct 2023 16:00:00 -0000

ros-jazzy-rclpy (5.3.0-3bookworm) bookworm; urgency=high

  * 1105 parameter event handler (#1135 <https://github.com/ros2/rclpy/issues/1135>)
  * unregister_sigterm_signal_handler should be called. (#1170 <https://github.com/ros2/rclpy/issues/1170>)
  * Handle take failure in wait_for_message (#1172 <https://github.com/ros2/rclpy/issues/1172>)
  * Decouple rosout publisher init from node init. (#1121 <https://github.com/ros2/rclpy/issues/1121>)
  * Fix _list_parameters_callback & test (#1161 <https://github.com/ros2/rclpy/issues/1161>)
  * Contributors: EsipovPA, Minju, Lee, Tomoya Fujita, mhidalgo-bdai

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-rclpy (5.2.0-3bookworm) bookworm; urgency=high


