=== debian/control ===
Source: ros-jazzy-rclpy
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-cmake-pytest <!nocheck>, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-lifecycle-msgs, ros-jazzy-pybind11-vendor, ros-jazzy-python-cmake-module, ros-jazzy-rcl, ros-jazzy-rcl-action, ros-jazzy-rcl-interfaces, ros-jazzy-rcl-lifecycle, ros-jazzy-rcl-logging-interface, ros-jazzy-rcl-yaml-param-parser, ros-jazzy-rcpputils, ros-jazzy-rcutils, ros-jazzy-rmw, ros-jazzy-rmw-implementation, ros-jazzy-rmw-implementation-cmake, ros-jazzy-rosidl-generator-py <!nocheck>, ros-jazzy-rosidl-runtime-c, ros-jazzy-test-msgs <!nocheck>, ros-jazzy-unique-identifier-msgs, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rclpy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-yaml, ros-jazzy-action-msgs, ros-jazzy-ament-index-python, ros-jazzy-builtin-interfaces, ros-jazzy-lifecycle-msgs, ros-jazzy-rcl, ros-jazzy-rcl-action, ros-jazzy-rcl-interfaces, ros-jazzy-rcl-lifecycle, ros-jazzy-rcl-logging-interface, ros-jazzy-rcl-yaml-param-parser, ros-jazzy-rmw, ros-jazzy-rmw-implementation, ros-jazzy-rosgraph-msgs, ros-jazzy-rosidl-runtime-c, ros-jazzy-rpyutils, ros-jazzy-unique-identifier-msgs, ros-jazzy-ros-workspace
Description: Package containing the Python client.
